Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.sort
Class PropertyChoiceComparator

    java.lang.Object
      com.bea.content.manager.sort.PropertyChoiceComparator

All Implemented Interfaces
  Serializable, Comparator

    public class PropertyChoiceComparator

extends Object
implements Comparator, Serializable

Compares PropertyChoices in ascending order based on their value. The compare is case-insensitive.

See Also
  Serialized Form

Constructor Summary
`PropertyChoiceComparator()`

Method Summary
`int` | `compare(Object obj1, Object obj2)` Compares its two arguments for order.
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this Comparator.
`int` | `hashCode()` Returns a hash code value for this comparator.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyChoiceComparator

    public PropertyChoiceComparator()

Method Detail

### compare

    public int compare(Object obj1,
                       Object obj2)

  Compares its two arguments for order. Returns a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.

  Specified by:
    `compare` in interface `Comparator`

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this Comparator. This method must obey the general contract of `Object.equals(Object)`. Additionally, this method can return `true` only if the specified Object is also a comparator and it imposes the same ordering as this comparator. Thus, `comp1.equals(comp2)` implies that `sgn(comp1.compare(o1, o2))==sgn(comp2.compare(o1, o2))` for every object reference `o1` and `o2`.

  Specified by:
    `equals` in interface `Comparator`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Returns a hash code value for this comparator.

  Overrides:
    `hashCode` in class `Object`
  Returns
    The hash code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.